# Interface CollectMultipleMetrics.ProgramInterface

All Known Implementing Classes:
  `CollectMultipleMetrics.Program`

Enclosing class:
  `CollectMultipleMetrics`

public static interface CollectMultipleMetrics.ProgramInterface

## Method Summary

Modifier and Type
Method
Description
`SinglePassSamProgram`
`makeInstance(String outbase, String outext, File input, File reference, Set<MetricAccumulationLevel> metricAccumulationLevel, File dbSnp, File intervals, File refflat, Set<String> ignoreSequence, boolean skipPlotting)`
`default SinglePassSamProgram`
`makeInstance(String outbase, String outext, File input, File reference, Set<MetricAccumulationLevel> metricAccumulationLevel, File dbSnp, File intervals, File refflat, Set<String> ignoreSequence, boolean skipPlotting, boolean includeUnpaired)`
By default, this method calls the
invalid reference

    #makeInstance(String, String, File, File, Set, File, File, File, boolean, Set)

method without 'includeUnpaired' parameter.
`default boolean`
`needsReferenceSequence()`
`default boolean`
`needsRefflatFile()`
`default boolean`
`supportsMetricAccumulationLevel()`

## Method Details

### makeInstance

default SinglePassSamProgram makeInstance(String outbase, String outext, File input, File reference, Set<MetricAccumulationLevel> metricAccumulationLevel, File dbSnp, File intervals, File refflat, Set<String> ignoreSequence, boolean skipPlotting, boolean includeUnpaired)
By default, this method calls the
invalid reference

    #makeInstance(String, String, File, File, Set, File, File, File, boolean, Set)

method without 'includeUnpaired' parameter.

### makeInstance

SinglePassSamProgram makeInstance(String outbase, String outext, File input, File reference, Set<MetricAccumulationLevel> metricAccumulationLevel, File dbSnp, File intervals, File refflat, Set<String> ignoreSequence, boolean skipPlotting)

### needsReferenceSequence

default boolean needsReferenceSequence()

### needsRefflatFile

default boolean needsRefflatFile()

### supportsMetricAccumulationLevel

default boolean supportsMetricAccumulationLevel()